using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace TFSWrappers
{
    public class BuildTypeItemGroup
    {
        public BuildTypeItemGroup(XmlDocument xmlDocument, XmlNamespaceManager xmlNamespaceManager,
            string xPath)
        {
            xmlNodeList = xmlDocument.SelectNodes(xPath, xmlNamespaceManager);
            items = new List<BuildTypeItemGroupItem>();
            foreach (XmlNode xmlNode in xmlNodeList)
            {
                items.Add(new BuildTypeItemGroupItem(xmlNode));
            }
        }

        private XmlNodeList xmlNodeList;

        private List<BuildTypeItemGroupItem> items;

        public List<BuildTypeItemGroupItem> Items
        {
            get { return items; }
            set { items = value; }
        }

    }
}
